Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 14917015: Fix several memory leaks in gtk_clipboard_dump utility. (Closed)

Created:
5 years, 4 months ago by babu
Modified:
5 years, 4 months ago
Reviewers:
Evan Stade
CC:
chromium-reviews, dcheng
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Fix several memory leaks in gtk_clipboard_dump utility. BUG= Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=199945

Patch Set 1 #

Total comments: 4

Patch Set 2 : Addressed review comments. #

Total comments: 3

Patch Set 3 : Addressed review comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+16 lines, -12 lines) Patch
M tools/gtk_clipboard_dump/gtk_clipboard_dump.cc View 1 2 4 chunks +16 lines, -12 lines 0 comments Download

Messages

Total messages: 13 (0 generated)
babu
It's a trivial patch, but worth fixing.
5 years, 4 months ago (2013-05-08 12:44:42 UTC) #1
Evan Stade
https://codereview.chromium.org/14917015/diff/1/tools/gtk_clipboard_dump/gtk_clipboard_dump.cc File tools/gtk_clipboard_dump/gtk_clipboard_dump.cc (right): https://codereview.chromium.org/14917015/diff/1/tools/gtk_clipboard_dump/gtk_clipboard_dump.cc#newcode32 tools/gtk_clipboard_dump/gtk_clipboard_dump.cc:32: gchar* target_name; no reason for these to be declared ...
5 years, 4 months ago (2013-05-09 04:46:06 UTC) #2
babu
Thanks for reviewing Evan. I updated the patch according to your feedback.
5 years, 4 months ago (2013-05-10 11:51:31 UTC) #3
Evan Stade
https://codereview.chromium.org/14917015/diff/6001/tools/gtk_clipboard_dump/gtk_clipboard_dump.cc File tools/gtk_clipboard_dump/gtk_clipboard_dump.cc (right): https://codereview.chromium.org/14917015/diff/6001/tools/gtk_clipboard_dump/gtk_clipboard_dump.cc#newcode48 tools/gtk_clipboard_dump/gtk_clipboard_dump.cc:48: continue; remove L47-48 https://codereview.chromium.org/14917015/diff/6001/tools/gtk_clipboard_dump/gtk_clipboard_dump.cc#newcode53 tools/gtk_clipboard_dump/gtk_clipboard_dump.cc:53: continue; remove L52-53 https://codereview.chromium.org/14917015/diff/6001/tools/gtk_clipboard_dump/gtk_clipboard_dump.cc#newcode61 ...
5 years, 4 months ago (2013-05-10 17:55:37 UTC) #4
babu
Fixed review comments.
5 years, 4 months ago (2013-05-10 19:19:54 UTC) #5
Evan Stade
lgtm. Have you contributed before?
5 years, 4 months ago (2013-05-10 20:50:01 UTC) #6
babu
On 2013/05/10 20:50:01, Evan Stade wrote: > lgtm. Thanks! > Have you contributed before? Yes, ...
5 years, 4 months ago (2013-05-10 21:16:29 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sudarsana.nagineni@intel.com/14917015/11001
5 years, 4 months ago (2013-05-10 22:34:16 UTC) #8
commit-bot: I haz the power
Retried try job too often on linux_rel for step(s) interactive_ui_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_rel&number=126611
5 years, 4 months ago (2013-05-10 23:37:25 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sudarsana.nagineni@intel.com/14917015/11001
5 years, 4 months ago (2013-05-11 07:22:19 UTC) #10
commit-bot: I haz the power
Retried try job too often on win7_aura for step(s) content_browsertests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win7_aura&number=39158
5 years, 4 months ago (2013-05-11 09:39:50 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/sudarsana.nagineni@intel.com/14917015/11001
5 years, 4 months ago (2013-05-14 05:38:51 UTC) #12
commit-bot: I haz the power
5 years, 4 months ago (2013-05-14 07:59:21 UTC) #13
Message was sent while issue was closed.
Change committed as 199945

Powered by Google App Engine
This is Rietveld 408576698